#!/bin/sh
SMT_FILE="/tmp/dispdata"

#CHAN %d &", ChannelNumber );
if [ "$1" = "CHAN" ] ; then
   echo "$*"
   echo "p$(printf "%X" $2)" > $SMT_FILE
#REC %d %d \"%s\" &", On, numRecs, *strescape( Name, "\"$" ) );
elif [ "$1" = "REC" ] ; then
   if [ $3 -gt 0 ] ; then
      echo "R" > $SMT_FILE
   else
      echo "r" > $SMT_FILE
   fi
#REPL %d \"%s\" &", On, *strescape( Name, "\"$" ) );
elif [ "$1" = "REPL" ] ; then
   echo "$*"
#VOL %d %d %d &", mVolume, Absolute, Volume );
elif [ "$1" = "VOL" ] ; then
   echo "$*"
#OSDCLR &", scriptName );
elif [ "$1" = "OSDCLR" ] ; then
   echo "$*"
#OSDTIT \"%s\" &", *strescape( Title, "\"$" ) );
elif [ "$1" = "OSDTIT" ] ; then
   echo "$*"
#OSDMSG \"%s\" &", *strescape( Message, "\"$" ) );
elif [ "$1" = "OSDMSG" ] ; then
   echo "$*"
#OSDHLP \"%s\" \"%s\" \"%s\" \"%s\" &", Red, Green, Yellow, Blue );
elif [ "$1" = "OSDHLP" ] ; then
   echo "$*"
#OSDCITM \"%s\" &", Text );
elif [ "$1" = "OSDCITM" ] ; then
   echo "$*"
#OSDTITM %d \"%s\" &", Scroll, Text );
elif [ "$1" = "OSDTITM" ] ; then
   echo "$*"
#OSDCHAN \"%s\" &", Text );
elif [ "$1" = "OSDCHAN" ] ; then
   echo "$*"
#OSDPROG \"%s\" \"%s\" \"%s\" \"%s\" \"%s\" \"%s\" &", t1, PresentTitle, PresentSubtitle,t2, FollowingTitle, FollowingSubtitle );
elif [ "$1" = "OSDPROG" ] ; then
   echo "$*"
fi
